return {
    'nvim-treesitter/nvim-treesitter',
    dependencies = {
        "luckasRanarison/tree-sitter-hyprlang"
    },
    build = ":TSUpdate",
    opts = {
        ensure_installed_sync = { "typst", "cpp", "c", "lua", "vim", "dockerfile", "python", "java", "cmake", "diff", "gitcommit", "html", "css", "javascript", "json", "rust", "sql", "yaml", "markdown", "markdown_inline", "nix" },
        auto_install = true,
        highlight = {
            enable = true,
            sync_install = true,
            additional_vim_regex_highlighting = false,
            disable = function(lang, buf) -- Disable if file size is too big
                if lang == "ini" or lang == "markdown" then
                    return true
                end
                local max_filesize = 2000 * 1024 -- 2MB
                local ok, stats = pcall(vim.loop.fs_stat, vim.api.nvim_buf_get_name(buf))
                if ok and stats and stats.size > max_filesize then
                    return true
                end
            end,
        },
        indent = {
            enable = true
        },
    },
}
